Pick Shipment
curl --request POST \
--url https://{base_url_domain}/api/global/v1/shipping/shipments/{id}/pick \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pick_locations": [
{
"location_label": "<string>",
"quantity": 123
}
],
"reservation_refs": [
{
"id": 123,
"quantity": 123
}
]
}
'import requests
url = "https://{base_url_domain}/api/global/v1/shipping/shipments/{id}/pick"
payload = {
"pick_locations": [
{
"location_label": "<string>",
"quantity": 123
}
],
"reservation_refs": [
{
"id": 123,
"quantity": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pick_locations: [{location_label: '<string>', quantity: 123}],
reservation_refs: [{id: 123, quantity: 123}]
})
};
fetch('https://{base_url_domain}/api/global/v1/shipping/shipments/{id}/pick', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{base_url_domain}/api/global/v1/shipping/shipments/{id}/pick",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pick_locations' => [
[
'location_label' => '<string>',
'quantity' => 123
]
],
'reservation_refs' => [
[
'id' => 123,
'quantity' => 123
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{base_url_domain}/api/global/v1/shipping/shipments/{id}/pick"
payload := strings.NewReader("{\n \"pick_locations\": [\n {\n \"location_label\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"reservation_refs\": [\n {\n \"id\": 123,\n \"quantity\": 123\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{base_url_domain}/api/global/v1/shipping/shipments/{id}/pick")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pick_locations\": [\n {\n \"location_label\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"reservation_refs\": [\n {\n \"id\": 123,\n \"quantity\": 123\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{base_url_domain}/api/global/v1/shipping/shipments/{id}/pick")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pick_locations\": [\n {\n \"location_label\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"reservation_refs\": [\n {\n \"id\": 123,\n \"quantity\": 123\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid."
}
]
}{
"errors": [
{
"type": "not_found",
"message": "The server could not find the requested resource."
}
]
}{
"errors": [
{
"type": "unable_to_process",
"message": "There was an error processing the request."
}
]
}Shipments
Pick Shipment
Completes some or all picks for the Shipment specified by its id path parameter.
POST
/
v1
/
shipping
/
shipments
/
{id}
/
pick
Pick Shipment
curl --request POST \
--url https://{base_url_domain}/api/global/v1/shipping/shipments/{id}/pick \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pick_locations": [
{
"location_label": "<string>",
"quantity": 123
}
],
"reservation_refs": [
{
"id": 123,
"quantity": 123
}
]
}
'import requests
url = "https://{base_url_domain}/api/global/v1/shipping/shipments/{id}/pick"
payload = {
"pick_locations": [
{
"location_label": "<string>",
"quantity": 123
}
],
"reservation_refs": [
{
"id": 123,
"quantity": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pick_locations: [{location_label: '<string>', quantity: 123}],
reservation_refs: [{id: 123, quantity: 123}]
})
};
fetch('https://{base_url_domain}/api/global/v1/shipping/shipments/{id}/pick', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{base_url_domain}/api/global/v1/shipping/shipments/{id}/pick",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pick_locations' => [
[
'location_label' => '<string>',
'quantity' => 123
]
],
'reservation_refs' => [
[
'id' => 123,
'quantity' => 123
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{base_url_domain}/api/global/v1/shipping/shipments/{id}/pick"
payload := strings.NewReader("{\n \"pick_locations\": [\n {\n \"location_label\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"reservation_refs\": [\n {\n \"id\": 123,\n \"quantity\": 123\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{base_url_domain}/api/global/v1/shipping/shipments/{id}/pick")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"pick_locations\": [\n {\n \"location_label\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"reservation_refs\": [\n {\n \"id\": 123,\n \"quantity\": 123\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{base_url_domain}/api/global/v1/shipping/shipments/{id}/pick")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pick_locations\": [\n {\n \"location_label\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"reservation_refs\": [\n {\n \"id\": 123,\n \"quantity\": 123\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid."
}
]
}{
"errors": [
{
"type": "not_found",
"message": "The server could not find the requested resource."
}
]
}{
"errors": [
{
"type": "unable_to_process",
"message": "There was an error processing the request."
}
]
}Authorizations
Body
application/json
Response
OK - The operation completed successfully and there is no response body.
Was this page helpful?